Bug 31879 - NonGui should split off registration of property editors so unit tests can do this
NonGui should split off registration of property editors so unit tests can do...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: TBD
Assigned To: issues@platform
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-11 11:53 UTC by _ tboudreau
Modified: 2008-12-22 19:34 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch to NonGui & FindEditorsTest (4.80 KB, patch)
2003-03-11 11:53 UTC, _ tboudreau
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2003-03-11 11:53:20 UTC
Currently the FindEditorsTest fails when run
standalone because the
core doesn't register the core property editors.

We ought to split this code off anyway, before
doing XML property
editor registration.

I will attach a patch to fix this.  Feel free to
assign to me if you
like.  CCing Jirka since the test is his code.
Comment 1 _ tboudreau 2003-03-11 11:53:52 UTC
Created attachment 9345 [details]
Patch to NonGui & FindEditorsTest
Comment 2 _ tboudreau 2003-04-04 14:34:05 UTC
Jirka has seen and approved the patch.  Committing, along with 
the new int/bool property editors (the registration code is in
the patch - seems silly to separate commits for something that
trivial).

NonGui 1.98


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo